package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class DormitoryTypeCollection extends AbstractObjectCollection 
{
    public DormitoryTypeCollection()
    {
        super(DormitoryTypeInfo.class);
    }
    public boolean add(DormitoryTypeInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(DormitoryTypeCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(DormitoryTypeInfo item)
    {
        return removeObject(item);
    }
    public DormitoryTypeInfo get(int index)
    {
        return(DormitoryTypeInfo)getObject(index);
    }
    public DormitoryTypeInfo get(Object key)
    {
        return(DormitoryTypeInfo)getObject(key);
    }
    public void set(int index, DormitoryTypeInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(DormitoryTypeInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(DormitoryTypeInfo item)
    {
        return super.indexOf(item);
    }
}